NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Classes | Public Types | Public Member Functions | Properties | List of all members
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign Class Reference

Represents the Flexible Printed Circuit Design preferences applicable to part More...

Inheritance diagram for NXOpen.Preferences.PartFlexiblePrintedCircuitDesign:
NXOpen.Utilities.NXRemotableObject IMessageSink

Classes

struct  _FlatPatternCalloutTypeDisplay
 The members of the following structure are the display data for a callout in a flat pattern drawing member view.
 
struct  _FlatPatternObjectTypeDisplay
 The members of the following structure are the display data for an object in a flat pattern drawing member view.
 
struct  _PlanarSegmentCurveTypeDisplayData
 The members of the following structure are the display data.
 
struct  FlatPatternCalloutTypeDisplay
 The members of the following structure are the display data for a callout in a flat pattern drawing member view. More...
 
struct  FlatPatternObjectTypeDisplay
 The members of the following structure are the display data for an object in a flat pattern drawing member view. More...
 
struct  PlanarSegmentCurveTypeDisplayData
 The members of the following structure are the display data. More...
 

Public Types

enum  FlatPatternCalloutOrientationType { Leadered, Aligned }
 This enum represents orientation types for the flat pattern callouts More...
 
enum  FlatPatternObjectType {
  BendCenterLine, BendUpCenterLine, BendDownCenterLine, BendTangentLine,
  OuterMoldLine, InnerMoldLine, ExteriorCurves, InteriorCurves,
  InteriorCutoutCurves, InteriorFeatureCurves, LighteningHoleCenter, JoggleLine,
  AddedTopGeometry, AddedBottomGeometry, ToolMarker, Hole,
  Centermark
}
 The members of the following enumerated type are used to identify object types to the FlatPattern API. More...
 
enum  FlexibleCableContactFaceOptions { TopFace, BottomFace }
 This enum represents the face that is the contact face of the Flexible Cable. More...
 
enum  PlanarSegmentCurveType { BendCenterLine, BendTangentLine }
 The following members are used to identify curve types of planar segment feature. More...
 

Public Member Functions

unsafe void Commit ()
 Commits and applies all the settings done with set_callout_type_display and set_object_type_display. More...
 
unsafe NXOpen.Expression GetBendRadius ()
 Returns the bend radius expression More...
 
unsafe NXOpen.Expression GetBendReliefDepth ()
 Returns the bend relief depth More...
 
unsafe NXOpen.Expression GetBendReliefWidth ()
 Returns the bend relief width More...
 
unsafe double GetDeviationalToleranceInFlatSolid ()
 Returns the deviational tolerance during Flat Solid simplification More...
 
unsafe void GetFlatPatternAllCalloutTypeDisplay (out NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay[] displayData)
 Returns the dialog names, identifiers, and enabled status for all the available callout types. More...
 
unsafe void GetFlatPatternAllObjectTypeDisplay (out NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectTypeDisplay[] displayData)
 Returns the types, colors, fonts, widths, and enabled status for all the the available object types. More...
 
unsafe
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutOrientationType 
GetFlatPatternCalloutOrientationType ()
 Returns the orientation type for flat pattern callouts. More...
 
unsafe string[] GetFlatPatternCalloutTypeContents (string calloutType)
 Returns the contents for a callout type. More...
 
unsafe
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay 
GetFlatPatternCalloutTypeDisplay (string calloutType)
 Returns the display data for a callout type. More...
 
unsafe
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectTypeDisplay 
GetFlatPatternObjectTypeDisplay (NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectType objectType)
 Returns the display data for a flat pattern object type. More...
 
unsafe NXOpen.NXColor GetFlexibleCableBottomFaceColor ()
 Returns the bottom face color. More...
 
unsafe NXOpen.Expression GetFlexibleCableConductorSpacing ()
 Returns the conductor spacing expression. More...
 
unsafe NXOpen.Expression GetFlexibleCableConductorWidth ()
 Returns the conductor width expression. More...
 
unsafe
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlexibleCableContactFaceOptions 
GetFlexibleCableContactFace ()
 Returns the contact face. More...
 
unsafe NXOpen.Expression GetFlexibleCableStrippingLength ()
 Returns the stripping length expression. More...
 
unsafe NXOpen.NXColor GetFlexibleCableTopFaceColor ()
 Returns the top face color. More...
 
unsafe NXOpen.Expression GetHoleTreatmentDiameter ()
 RETURNS the hole treatment diameter value in Flat Pattern operation More...
 
unsafe
NXOpen.Features.SheetMetal.FeatureProperty 
GetHoleTreatmentType ()
 RETURNS the hole treatment type in Flat Pattern operation More...
 
unsafe
NXOpen.Features.SheetMetal.FeatureProperty 
GetInnerCornerTreatmentType ()
 Returns the inner corner treatment type in Flat as Solid operation More...
 
unsafe NXOpen.Expression GetInnerCornerTreatmentValue ()
 Returns the inner corner treatment value for Flat as Solid operations More...
 
unsafe bool GetIsBsplineSimplifiedInFlatSolid ()
 Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation More...
 
unsafe bool GetIsSystemGeneratedBendReliefRemovedInFlatSolid ()
 Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation More...
 
unsafe string GetMaterial ()
 Returns the material name saved with the part More...
 
unsafe string[] GetMaterialNames ()
 Returns the material names defined in the material standards table More...
 
unsafe string[] GetMaterialProperties (string materialName, out string[] propertyNames)
 Returns the material name saved with the part More...
 
unsafe double GetMinimumArcToleranceInFlatSolid ()
 Returns the minimum arc tolerance during Flat Solid simplification More...
 
unsafe NXOpen.Expression GetNeutralFactor ()
 Returns the neutral factor More...
 
unsafe
NXOpen.Features.SheetMetal.FeatureProperty 
GetOuterCornerTreatmentType ()
 Returns the outer corner treatment type in Flat as Solid operation More...
 
unsafe NXOpen.Expression GetOuterCornerTreatmentValue ()
 Returns the out corner treatment value for Flat as Solid operations More...
 
unsafe
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveTypeDisplayData 
GetPlanarSegmentCurveTypeDisplayData (NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveType curveType)
 Returns the display data of a given planar segment curve type for the Flexible Printed Circuit Design application. More...
 
unsafe NXOpen.Expression GetThickness ()
 Returns the thickness expression More...
 
unsafe void SetBendRadius (bool updateModel, string bendRadius)
 Sets the bend radius value More...
 
unsafe void SetBendReliefDepth (bool updateModel, string bendReliefDepth)
 Sets the bend relief depth value More...
 
unsafe void SetBendReliefWidth (bool updateModel, string bendReliefWidth)
 Sets the bend relief depth value More...
 
unsafe void SetDeviationalToleranceInFlatSolid (bool updateModel, double deviationalToleranceInFlatSolid)
 Sets the deviational tolerance during Flat Solid simplification More...
 
unsafe void SetFlatPatternCalloutOrientationType (NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutOrientationType orientation)
 Sets the orientation type for flat pattern callouts. More...
 
unsafe void SetFlatPatternCalloutTypeContents (string calloutType, string[] contents)
 Sets the contents for a callout type. More...
 
unsafe void SetFlatPatternCalloutTypeDisplay (string calloutType, NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay displayData)
 Sets the display data for a callout type. More...
 
unsafe void SetFlatPatternObjectTypeDisplay (bool updateModel, NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectType objectType, NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectTypeDisplay displayData)
 Sets the display data for a flat pattern object type. More...
 
unsafe void SetFlexibleCableBottomFaceColor (NXOpen.NXColor bottomFaceColor)
 Sets the bottom face color. More...
 
unsafe void SetFlexibleCableConductorSpacing (string conductorSpacing)
 Sets the conductor spacing value string. More...
 
unsafe void SetFlexibleCableConductorWidth (string conductorWidth)
 Sets the conductor width value string. More...
 
unsafe void SetFlexibleCableContactFace (NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlexibleCableContactFaceOptions faceOption)
 Sets the contact face. More...
 
unsafe void SetFlexibleCableStrippingLength (string strippingLength)
 Sets the stripping length value string. More...
 
unsafe void SetFlexibleCableTopFaceColor (NXOpen.NXColor topFaceColor)
 Sets the top face color. More...
 
unsafe void SetHoleTreatmentDiameter (bool updateModel, string diameter)
 SETS the hole treatment diameter value in Flat Pattern operation More...
 
unsafe void SetHoleTreatmentType (bool updateModel, NXOpen.Features.SheetMetal.FeatureProperty holeTreatmentType)
 SETS the hole treatment type in Flat Pattern operation More...
 
unsafe void SetInnerCornerTreatmentType (bool updateModel, NXOpen.Features.SheetMetal.FeatureProperty innerCornerTreatmentType)
 Sets the inner corner treatment type in Flat as Solid operation More...
 
unsafe void SetInnerCornerTreatmentValue (bool updateModel, string innerCornerTreatment)
 Sets the the inner corner treatment value for Flat as Solid operations More...
 
unsafe void SetIsBsplineSimplifiedInFlatSolid (bool updateModel, bool isBsplineSimplifiedInFlatSolid)
 Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation More...
 
unsafe void SetIsSystemGeneratedBendReliefRemovedInFlatSolid (bool updateModel, bool isSystemGeneratedBendReliefRemoved)
 Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation More...
 
unsafe void SetMaterial (bool updateModel, string standardName)
 Sets the material standard More...
 
unsafe void SetMinimumArcToleranceInFlatSolid (bool updateModel, double minimumArcToleranceInFlatSolid)
 Sets the minimum arc tolerance during Flat Solid simplification More...
 
unsafe void SetNeutralFactor (bool updateModel, string neutralFactor)
 Sets the bend relief depth value More...
 
unsafe void SetOuterCornerTreatmentType (bool updateModel, NXOpen.Features.SheetMetal.FeatureProperty outerCornerTreatmentType)
 Sets the the outer corner treatment type in Flat as Solid operation More...
 
unsafe void SetOuterCornerTreatmentValue (bool updateModel, string outerCornerTreatment)
 Sets the outer corner treatment value for Flat as Solid operations More...
 
unsafe void SetPlanarSegmentCurveTypeDisplayData (bool updateModel, NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveType curveType, NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveTypeDisplayData displayData)
 Sets the display data of a given planar segment curve type for the Flexible Printed Circuit Design application. More...
 
unsafe void SetThickness (bool updateModel, string thickness)
 Sets the thickness value string More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the Flexible Printed Circuit Design preferences applicable to part

Preferences are in control of the part. They can not be created but can only be changed.

Created in NX4.0.0

Member Enumeration Documentation

This enum represents orientation types for the flat pattern callouts

Enumerator
Leadered 

Leadered

Aligned 

Aligned

The members of the following enumerated type are used to identify object types to the FlatPattern API.

These are not the usual NX object types; they are ordinary NX objects that are known to the flat pattern feature for the type of outline they provide to a bend region, joggle region, or lightening hole.

Enumerator
BendCenterLine 

Deprecated

BendUpCenterLine 
BendDownCenterLine 
BendTangentLine 
OuterMoldLine 
InnerMoldLine 
ExteriorCurves 
InteriorCurves 

Deprecated

InteriorCutoutCurves 
InteriorFeatureCurves 
LighteningHoleCenter 
JoggleLine 
AddedTopGeometry 
AddedBottomGeometry 
ToolMarker 
Hole 
Centermark 

This enum represents the face that is the contact face of the Flexible Cable.

Enumerator
TopFace 

Top face.

BottomFace 

Bottom face.

The following members are used to identify curve types of planar segment feature.

Enumerator
BendCenterLine 
BendTangentLine 

Member Function Documentation

unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.Commit ( )
inline

Commits and applies all the settings done with set_callout_type_display and set_object_type_display.

It must be called after a sequence of calls to those methods to cause the view to update.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetBendRadius ( )
inline

Returns the bend radius expression

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for radius of bend faces
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetBendReliefDepth ( )
inline

Returns the bend relief depth

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for depth of bend relief
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetBendReliefWidth ( )
inline

Returns the bend relief width

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for width of bend relief
unsafe double NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetDeviationalToleranceInFlatSolid ( )
inline

Returns the deviational tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
flag
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlatPatternAllCalloutTypeDisplay ( out NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay[]  displayData)
inline

Returns the dialog names, identifiers, and enabled status for all the available callout types.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
displayDataArray of structures with the callout type display data.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlatPatternAllObjectTypeDisplay ( out NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectTypeDisplay[]  displayData)
inline

Returns the types, colors, fonts, widths, and enabled status for all the the available object types.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
displayDataArray of structures with the object type display data.
unsafe NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutOrientationType NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlatPatternCalloutOrientationType ( )
inline

Returns the orientation type for flat pattern callouts.

Created in NX9.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
The orientation type for the flat pattern callouts.
unsafe string [] NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlatPatternCalloutTypeContents ( string  calloutType)
inline

Returns the contents for a callout type.

Created in NX9.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to get the content.
Returns
The contents for the callout type.
unsafe NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlatPatternCalloutTypeDisplay ( string  calloutType)
inline

Returns the display data for a callout type.

The name member of the NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay is separately allocated from the callout_type argument string. In some cases the new string will contain an extended form of the callout_type passed in, and that form should be used for subsequent JA calls, without modification.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to get the display data.
Returns
The display data for the callout type.
unsafe NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectTypeDisplay NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlatPatternObjectTypeDisplay ( NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectType  objectType)
inline

Returns the display data for a flat pattern object type.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
objectTypeThe object type for which to return the display data.
Returns
The display data for the flat pattern object type.
unsafe NXOpen.NXColor NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlexibleCableBottomFaceColor ( )
inline

Returns the bottom face color.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlexibleCableConductorSpacing ( )
inline

Returns the conductor spacing expression.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for flexible cable conductor width.
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlexibleCableConductorWidth ( )
inline

Returns the conductor width expression.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for flexible cable conductor width.
unsafe NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlexibleCableContactFaceOptions NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlexibleCableContactFace ( )
inline

Returns the contact face.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlexibleCableStrippingLength ( )
inline

Returns the stripping length expression.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for flexible cable conductor width.
unsafe NXOpen.NXColor NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetFlexibleCableTopFaceColor ( )
inline

Returns the top face color.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetHoleTreatmentDiameter ( )
inline

RETURNS the hole treatment diameter value in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for hole diameter value
unsafe NXOpen.Features.SheetMetal.FeatureProperty NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetHoleTreatmentType ( )
inline

RETURNS the hole treatment type in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
hole treatment type
unsafe NXOpen.Features.SheetMetal.FeatureProperty NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetInnerCornerTreatmentType ( )
inline

Returns the inner corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
outer corner treatment type
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetInnerCornerTreatmentValue ( )
inline

Returns the inner corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for inner corner treatment value
unsafe bool NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetIsBsplineSimplifiedInFlatSolid ( )
inline

Returns the flag indicating whether B-Splines are simplified as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
flag
unsafe bool NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetIsSystemGeneratedBendReliefRemovedInFlatSolid ( )
inline

Returns the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
flag
unsafe string NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetMaterial ( )
inline

Returns the material name saved with the part

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
The name of the material saved with the part
unsafe string [] NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetMaterialNames ( )
inline

Returns the material names defined in the material standards table

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
unsafe string [] NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetMaterialProperties ( string  materialName,
out string[]  propertyNames 
)
inline

Returns the material name saved with the part

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
materialNamematerial Name
propertyNamesproperties
Returns
property Values
unsafe double NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetMinimumArcToleranceInFlatSolid ( )
inline

Returns the minimum arc tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
flag
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetNeutralFactor ( )
inline

Returns the neutral factor

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for neutral factor of bend areas
unsafe NXOpen.Features.SheetMetal.FeatureProperty NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetOuterCornerTreatmentType ( )
inline

Returns the outer corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
outer corner treatment type
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetOuterCornerTreatmentValue ( )
inline

Returns the out corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for out corner treatment value
unsafe NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveTypeDisplayData NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetPlanarSegmentCurveTypeDisplayData ( NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveType  curveType)
inline

Returns the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.

Created in NX12.0.0

License requirements: None.

Parameters
curveTypeThe curve type for which to return the display data.
Returns
The display data for the planar segment curve type.
unsafe NXOpen.Expression NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.GetThickness ( )
inline

Returns the thickness expression

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Returns
expression object for sheet thickness
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetBendRadius ( bool  updateModel,
string  bendRadius 
)
inline

Sets the bend radius value

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendRadiusdefault bend radius value for bend faces
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetBendReliefDepth ( bool  updateModel,
string  bendReliefDepth 
)
inline

Sets the bend relief depth value

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefDepthdefault depth value for bend relief
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetBendReliefWidth ( bool  updateModel,
string  bendReliefWidth 
)
inline

Sets the bend relief depth value

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
bendReliefWidthdefault width value for bend relief
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetDeviationalToleranceInFlatSolid ( bool  updateModel,
double  deviationalToleranceInFlatSolid 
)
inline

Sets the deviational tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
deviationalToleranceInFlatSolidflag
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlatPatternCalloutOrientationType ( NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutOrientationType  orientation)
inline

Sets the orientation type for flat pattern callouts.

Created in NX9.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
orientationThe orientation type for the flat pattern callouts.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlatPatternCalloutTypeContents ( string  calloutType,
string[]  contents 
)
inline

Sets the contents for a callout type.

Created in NX9.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to set the content.
contentsThe contents for the callout type.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlatPatternCalloutTypeDisplay ( string  calloutType,
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternCalloutTypeDisplay  displayData 
)
inline

Sets the display data for a callout type.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
calloutTypeThe name of the callout type for which to set the display data.
displayDataThe display data for the callout type.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlatPatternObjectTypeDisplay ( bool  updateModel,
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectType  objectType,
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlatPatternObjectTypeDisplay  displayData 
)
inline

Sets the display data for a flat pattern object type.

Created in NX5.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
objectTypeThe object type for which to get the display data.
displayDataThe display data for the flat pattern object type.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlexibleCableBottomFaceColor ( NXOpen.NXColor  bottomFaceColor)
inline

Sets the bottom face color.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
bottomFaceColorBottom face color.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlexibleCableConductorSpacing ( string  conductorSpacing)
inline

Sets the conductor spacing value string.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
conductorSpacingDefault conductor spacing value for the flexible cable.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlexibleCableConductorWidth ( string  conductorWidth)
inline

Sets the conductor width value string.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
conductorWidthDefault conductor width value for the flexible cable.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlexibleCableContactFace ( NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.FlexibleCableContactFaceOptions  faceOption)
inline

Sets the contact face.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
faceOptionContact face options.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlexibleCableStrippingLength ( string  strippingLength)
inline

Sets the stripping length value string.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
strippingLengthDefault stripping length value for the flexible cable.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetFlexibleCableTopFaceColor ( NXOpen.NXColor  topFaceColor)
inline

Sets the top face color.

Created in NX7.5.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
topFaceColorTop face color.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetHoleTreatmentDiameter ( bool  updateModel,
string  diameter 
)
inline

SETS the hole treatment diameter value in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
diameterdefault value for hole diameter
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetHoleTreatmentType ( bool  updateModel,
NXOpen.Features.SheetMetal.FeatureProperty  holeTreatmentType 
)
inline

SETS the hole treatment type in Flat Pattern operation

Created in NX12.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
holeTreatmentTypehole treatment type
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetInnerCornerTreatmentType ( bool  updateModel,
NXOpen.Features.SheetMetal.FeatureProperty  innerCornerTreatmentType 
)
inline

Sets the inner corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentTypeouter corner treatment type
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetInnerCornerTreatmentValue ( bool  updateModel,
string  innerCornerTreatment 
)
inline

Sets the the inner corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
innerCornerTreatmentdefault value for inner corner treatment
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetIsBsplineSimplifiedInFlatSolid ( bool  updateModel,
bool  isBsplineSimplifiedInFlatSolid 
)
inline

Sets the flag indicating whether or not B-Splines are simplified as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isBsplineSimplifiedInFlatSolidflag
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetIsSystemGeneratedBendReliefRemovedInFlatSolid ( bool  updateModel,
bool  isSystemGeneratedBendReliefRemoved 
)
inline

Sets the flag indicating whether or not system generated bend releifs are removed as part of the Flat Solid creation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
isSystemGeneratedBendReliefRemovedflag
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetMaterial ( bool  updateModel,
string  standardName 
)
inline

Sets the material standard

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
standardNameThe name of a material from the material standards file
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetMinimumArcToleranceInFlatSolid ( bool  updateModel,
double  minimumArcToleranceInFlatSolid 
)
inline

Sets the minimum arc tolerance during Flat Solid simplification

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
minimumArcToleranceInFlatSolidflag
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetNeutralFactor ( bool  updateModel,
string  neutralFactor 
)
inline

Sets the bend relief depth value

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
neutralFactordefault neutral factor value for bend relief
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetOuterCornerTreatmentType ( bool  updateModel,
NXOpen.Features.SheetMetal.FeatureProperty  outerCornerTreatmentType 
)
inline

Sets the the outer corner treatment type in Flat as Solid operation

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentTypeouter corner treatment type
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetOuterCornerTreatmentValue ( bool  updateModel,
string  outerCornerTreatment 
)
inline

Sets the outer corner treatment value for Flat as Solid operations

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
outerCornerTreatmentdefault value for out corner treatment
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetPlanarSegmentCurveTypeDisplayData ( bool  updateModel,
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveType  curveType,
NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.PlanarSegmentCurveTypeDisplayData  displayData 
)
inline

Sets the display data of a given planar segment curve type for the Flexible Printed Circuit Design application.

Created in NX12.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately.
curveTypeThe curve type for which to get the display data.
displayDataThe display data for the planar segment curve type.
unsafe void NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.SetThickness ( bool  updateModel,
string  thickness 
)
inline

Sets the thickness value string

Created in NX4.0.0

License requirements: nx_flexible_pcb ("NX Flexible PCB")

Parameters
updateModelSpecifies whether the solid model be recomputed immediately
thicknessdefault thickness value for NX Sheetmetal solids

Property Documentation

Tag NXOpen.Preferences.PartFlexiblePrintedCircuitDesign.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.